org.apache.cassandra.utils.memory

## Class EnsureOnHeap

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation
  - - org.apache.cassandra.utils.memory.EnsureOnHeap

    public abstract class EnsureOnHeap
    extends Transformation

### Constructor Summary

Constructors
Constructor and Description
`EnsureOnHeap()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DeletionInfo` `applyToDeletionInfo(DeletionInfo deletionInfo)`
`abstract RangeTombstoneMarker` `applyToMarker(RangeTombstoneMarker marker)` Applied to any RTM we encounter in a rows/unfiltered iterator
`abstract java.util.Iterator<Row>` `applyToPartition(java.util.Iterator<Row> partition)`
`abstract SearchIterator<Clustering,Row>` `applyToPartition(SearchIterator<Clustering,Row> partition)`
`abstract UnfilteredRowIterator` `applyToPartition(UnfilteredRowIterator partition)`
`abstract DecoratedKey` `applyToPartitionKey(DecoratedKey key)` Applied to the partition key of any rows/unfiltered iterator we are applied to
`abstract Row` `applyToRow(Row row)` Applied to any row we encounter in a rows iterator
`abstract Row` `applyToStatic(Row row)` Applied to the static row of any rows iterator.

### Methods inherited from class org.apache.cassandra.db.transform.Transformation

`apply, apply, apply, apply, applyToDeletion, applyToPartition, applyToPartitionColumns, onClose, onPartitionClose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnsureOnHeap

    public EnsureOnHeap()

### Method Detail

#### applyToPartitionKey

    public abstract DecoratedKey applyToPartitionKey(DecoratedKey key)

Description copied from class: `Transformation`
Applied to the partition key of any rows/unfiltered iterator we are applied to

Overrides:
  `applyToPartitionKey` in class `Transformation`

#### applyToPartition

    public abstract UnfilteredRowIterator applyToPartition(UnfilteredRowIterator partition)

#### applyToPartition

    public abstract SearchIterator<Clustering,Row> applyToPartition(SearchIterator<Clustering,Row> partition)

#### applyToPartition

    public abstract java.util.Iterator<Row> applyToPartition(java.util.Iterator<Row> partition)

#### applyToDeletionInfo

    public abstract DeletionInfo applyToDeletionInfo(DeletionInfo deletionInfo)

#### applyToRow

    public abstract Row applyToRow(Row row)

Description copied from class: `Transformation`
Applied to any row we encounter in a rows iterator

Overrides:
  `applyToRow` in class `Transformation`

#### applyToStatic

    public abstract Row applyToStatic(Row row)

Description copied from class: `Transformation`
Applied to the static row of any rows iterator. NOTE that this is only applied to the first iterator in any sequence of iterators filled by a MoreContents; the static data for such iterators is all expected to be equal

Overrides:
  `applyToStatic` in class `Transformation`

#### applyToMarker

    public abstract RangeTombstoneMarker applyToMarker(RangeTombstoneMarker marker)

Description copied from class: `Transformation`
Applied to any RTM we encounter in a rows/unfiltered iterator

Overrides:
  `applyToMarker` in class `Transformation`